com.microsoft.sqlserver.jdbc

## Interface ISQLServerStatement

All Superinterfaces:
  AutoCloseable, Statement, Wrapper

All Known Subinterfaces:
  ISQLServerCallableStatement, ISQLServerCallableStatement42, ISQLServerPreparedStatement, ISQLServerPreparedStatement42

All Known Implementing Classes:
  SQLServerCallableStatement, SQLServerCallableStatement42, SQLServerPreparedStatement, SQLServerPreparedStatement42, SQLServerStatement

    public interface ISQLServerStatement
    extends Statement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getResponseBuffering()`
`void` `setResponseBuffering(String value)`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setResponseBuffering

    void setResponseBuffering(String value)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### getResponseBuffering

    String getResponseBuffering()
                         throws SQLServerException

Throws:
  `SQLServerException`